com.fasterxml.jackson.dataformat.protobuf.schemagen

## Class ProtobuffSchemaHelper

- java.lang.Object
- - com.fasterxml.jackson.dataformat.protobuf.schemagen.ProtobuffSchemaHelper

-     public class ProtobuffSchemaHelper
      extends Object

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TypeElementBuilder` | `acceptTypeElement(com.fasterxml.jackson.databind.SerializerProvider provider, com.fasterxml.jackson.databind.JavaType type, DefinedTypeElementBuilders definedTypeElementBuilders, boolean isNested)`
    `static String` | `getNamespace(com.fasterxml.jackson.databind.JavaType type)`
    `static com.squareup.protoparser.DataType.ScalarType` | `getScalarType(com.fasterxml.jackson.databind.JavaType type)`
    `static boolean` | `hasIndex(com.fasterxml.jackson.databind.BeanProperty writer)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getNamespace

          public static String getNamespace(com.fasterxml.jackson.databind.JavaType type)

    - #### getScalarType

          public static com.squareup.protoparser.DataType.ScalarType getScalarType(com.fasterxml.jackson.databind.JavaType type)

    - #### hasIndex

          public static boolean hasIndex(com.fasterxml.jackson.databind.BeanProperty writer)

    - #### acceptTypeElement

          public static TypeElementBuilder acceptTypeElement(com.fasterxml.jackson.databind.SerializerProvider provider,
                                             com.fasterxml.jackson.databind.JavaType type,
                                             DefinedTypeElementBuilders definedTypeElementBuilders,
                                             boolean isNested)
                                                      throws com.fasterxml.jackson.databind.JsonMappingException

      Throws:
        `com.fasterxml.jackson.databind.JsonMappingException`

Copyright © 2016 FasterXML. All rights reserved.